// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface LoginRequestDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.LoginRequestDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string user_name = 1;</code>
   */
  java.lang.String getUserName();
  /**
   * <code>optional string user_name = 1;</code>
   */
  com.google.protobuf.ByteString
      getUserNameBytes();

  /**
   * <code>optional string password = 2;</code>
   */
  java.lang.String getPassword();
  /**
   * <code>optional string password = 2;</code>
   */
  com.google.protobuf.ByteString
      getPasswordBytes();

  /**
   * <code>optional string client_session_id = 3;</code>
   */
  java.lang.String getClientSessionId();
  /**
   * <code>optional string client_session_id = 3;</code>
   */
  com.google.protobuf.ByteString
      getClientSessionIdBytes();
}
